#!/bin/bash

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.2"
SHA1SUM="23c88507f1fbdb7de2cb070890343eb20d217aec"
#URL="http://www.litech.org/radvd/dist"
URL="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain flex"
##################################################

download_bz2 radvd &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/radvd-${VERSION}.tar.bz2 &&
cd radvd-${VERSION} &&

patch_src radvd &&

sed -e 's/-O2/-Os/g' -i configure &&
CC="${CC} -Os -fPIC" ./configure --host=${BOARDARCH}-linux-gnu --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --disable-largefile --disable-nls &&

make &&

make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf radvd-${VERSION}

