#!/bin/bash

##################################################
# no download and no source 
##################################################

mkdir -pv ${INSTALLDIR}/{bin,dev,etc,lib,mnt,proc,sbin,sys} &&
mkdir -pv ${INSTALLDIR}/var/{lock,log,run} &&
install -dv -m 0750 ${INSTALLDIR}/root &&
install -dv -m 1777 ${INSTALLDIR}{/var,}/tmp &&
mkdir -pv ${INSTALLDIR}/usr/{bin,include,lib,sbin,src} &&
mkdir -pv ${INSTALLDIR}/usr/share/{doc,info,man} &&
mkdir -pv ${INSTALLDIR}/usr/share/man/man{1,2,3,4,5,6,7,8} &&
mkdir -pv ${INSTALLDIR}/cross-tools{,/bin} &&
for dir in ${INSTALLDIR}/usr ; do
  ln -sv share/{man,doc,info} ${dir}
done &&
ln -svf ../proc/mounts ${INSTALLDIR}/etc/mtab &&
cat > ${INSTALLDIR}/etc/passwd << "EOF" &&
root:x:0:0:root:/root:/bin/ash
EOF
cat > ${INSTALLDIR}/etc/group << "EOF" &&
root:x:0:
console:x:1:
tty:x:2:
kmem:x:3:
utmp:x:4:
EOF
touch ${INSTALLDIR}/var/run/utmp ${INSTALLDIR}/var/log/wtmp &&
chmod -v 664 ${INSTALLDIR}/var/run/utmp

